Description

Version 1.3.2 of The Winter King. Compatible with CK2 patch 2.5.2.

Preview
Version 1.3.2
Comments
ninja805
ninja805

Finna check this out

Reply Good karma Bad karma+3 votes
Guest
Guest

Does this work with 2.5.1?

Reply Good karma Bad karma0 votes
BlackEagle78 Author
BlackEagle78

This version is compatible with 2.5.2.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

AtlasLegan
AtlasLegan

work with 2.5.1?

Reply Good karma Bad karma+1 vote
BlackEagle78 Author
BlackEagle78

This version is compatible with 2.5.2.

Reply Good karma+1 vote
dexm
dexm

I cant load the mod i keeps crashing at the end of the loading.

Reply Good karma Bad karma+2 votes
bijk
bijk

I am on a mac and on the latest patch. But for some reason, it always crashes when in the middle of loading.

Reply Good karma Bad karma+2 votes
rrpg
rrpg

I can't load the mod and I keep crashing at the end or middle of the loading, similar to dexm and bijk.

My CK2 version is 2.5.2 (YZAZ).

Reply Good karma Bad karma+2 votes
james_blackfire
james_blackfire

Im having the same issue crashing mid loading screen any help

Reply Good karma Bad karma+1 vote
BrotherAkeo
BrotherAkeo

I got a prroblem but is just with the faces they get bacl and cant click on then

Reply Good karma Bad karma+1 vote
BlackEagle78 Author
BlackEagle78

That's a common bug, we're working on fixing it.

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.